Hey all, I'm trying to use the Redmine REST API.  I'm having trouble
looking up versions associated with a project via AR

I'm not sure if it's a version incompatibility, a bug in my code,
a bug in AR (on the server or client?)

ref: https://bugs.ruby-lang.org/projects/1/versions.json
Output (warning long lines):
http://80x24.org/brlo-ar3.2.16-spew.txt.gz
http://80x24.org/brlo.ar4.0.0.spew.txt.gz
my script is at the bottom.

I'm somewhat tempted to scrap the magic of AR and just use
Net::HTTP + JSON, but it seems like the AR part on the Redmine
server might be just as likely to change on version upgrades?

(I'm not experienced with AR)

------------------------------ 8< ------------------------------
#!/home/ew/ruby-2.1.0/bin/ruby
gem 'activeresource', '~> 4.0' # or 3.2.16
require 'active_resource'
AUTH = {
  site: 'https://bugs.ruby-lang.org/',
  #user: 'user',
  #password: 'password',
}
class Project < ActiveResource::Base
  AUTH.each { |k,v| __send__("#{k}=", v) }
end
class Version < ActiveResource::Base
  AUTH.each { |k,v| __send__("#{k}=", v) }
  self.site += "projects/:project_id"
end
project = Project.find(1, params: { include: 'issue_categories,trackers' })
p project.name
category = project.issue_categories.find { |x| x.name == "core" }
tracker = project.trackers.find { |x| x.name == "Feature" }
p tracker
p category
p project.id
p Version.collection_path(:project_id => project.id)

# fails here
p Version.find(:all, params: { :project_id => project.id })
------------------------------ 8< ------------------------------